# -*- coding: utf-8 -*-
from setuphelpers import *
import time
r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():

    # Declaring local variables
    bin_name = glob.glob("MoganResearch-*-64bit-installer.exe")[0]
    # Installing the software
    
    install_exe_if_needed(bin_name,
        silentflags='/S',
        key='MoganResearch',
        min_version=control.get_software_version()
    )
    uninstallkey.clear()

def uninstall():
    for uninstall in installed_softwares(uninstallkey="MoganResearch"):
        run(uninstall_cmd('MoganResearch'))

        time.sleep(60)

        if uninstall_key_exists("MoganResearch"): 
            unregister_uninstall('MoganResearch',win64app=uninstall['win64'])
    

def audit():
    if not uninstall_key_exists("MoganResearch"):
        print('uninstallkey MoganResearch not found')
        return "ERROR"
    else:
        return "OK"


